En poursuivant votre navigation sur ce site, vous acceptez l'utilisation de cookies pour vous proposer des contenus et services adaptés. Mentions légales.
 
 
 
 
 
Texte à méditer :   Marche et tu te sentiras libre     proverbe Touareg
 
 
 
Vous êtes ici :   Accueil » Docuthèque - Installation
 
    Imprimer la page...
    Imprimer la section...
 

Docuthèque - Installation

Installation

Installation :

Téléchargez le paquet d'installation à partir de https://guppy.christianlautier.fr/fr-telechargements  et installez-le, obligatoirement, avec la fonction Installer de l'Administration générale de votre site.

Le paquet contient les répertoires :

  • admin :programmes d'administration
  • data : contiendra le fichier de configuration générale
  • documentation : contient l'ensemble des articles regroupés sur un seul document PDF
  • file : vide dans le paquet, contiendra l'arborescence
  • perso : c'est là que vous mettrez vos fichiers de personnalisation (img, css)
  • plugins : programmes publics

Le paquet contient aussi le script dct-install-convert.inc qui s'exécute après l'installation et convertit le codage des caractères, si des fichiers de la V4 sont trouvés. Les fichiers inutiles de la V4 sont aussi supprimés.

Migration depuis une version précédente

Vous devez passer dans l'admin de tous les dossiers et faire "enregistrer" pour prendre en compte les nouveaux champs de formulaire. Vous pouvez bien sûr, regarder ces nouveaux champs et mettre une valeur qui vous convient!wink

Désinstallation :

Pour désinstaller le plugin vous devez

  • aller dans "config boites" et supprimer toutes les références aux boites docuthèques, si vous le faites avant de supprimer les répertoires file. Si vous le faites après, la référence à docutheque a disparu, il faut quand même faire "enregistrer" pour nettoyer le fichier de configuration.
  • supprimer les répertoires:
    • plugins/docutheque
    • admin/plugins/docutheque
    • data/plugins/docutheque
    • file/plugins/docutheque
    • documentation/plugins/docutheque
    • perso/plugins/docutheque

Remarques:

Le plugin, comme tous mes plugins, nécessite le plugin CPLcommun version 5.03.00.


Date de création : 14/02/2020 - 15:13
Dernière modification : 01/03/2020 - 12:19
Catégorie : - Docuthèque
Page lue 12 fois


Réactions à cet article


Personne n'a encore laissé de commentaire.
Soyez donc le premier !